Can't restore to 5.0.1 (not eligible for requested build)

Discussion in 'Jailbreaks and iOS Hacks' started by definitive, Apr 7, 2012.

  1. definitive macrumors 68000

    definitive

    Joined:
    Aug 4, 2008
    #1
    I'm trying to do a clean restore to 5.0.1, and keep getting the device isn't eligible for requested build (no error numbers) every time I set it in to DFU mode. The phone already has 5.0.1, and the hosts file is clean (without the apple.com line).

    Is there something else preventing me from being able to restore to this version of iOS?
     
  2. labman macrumors 604

    labman

    Joined:
    Jun 9, 2009
    Location:
    Mich near Detroit
  3. Crystal-RX macrumors 68030

    Crystal-RX

    Joined:
    Dec 22, 2008
    Location:
    Seattle, WA USA
    #3
    You can't restore your phone to 5.0.1 since Apple has stopped signing this software.

    Try iFaith, I am not sure if it works A4 5.0.1. iFaith will not work with A5's devices.
     
  4. definitive thread starter macrumors 68000

    definitive

    Joined:
    Aug 4, 2008
    #4
    i have shsh up to 5.1, and tried tinyumbrella with tss server on (cydia stuff checked/unchecked). furthest i get with that is to preparing to restore in itunes, and then i get an unknown error 11. everything is up to date in terms of system/itunes.
     
  5. labman macrumors 604

    labman

    Joined:
    Jun 9, 2009
    Location:
    Mich near Detroit
    #5
    What device????? do you have Apticket as well. if you want help provide info!
     
  6. iph4 macrumors newbie

    Joined:
    Feb 7, 2012
    Location:
    The land of choice
    #6
    iPhone 4 MD128RR
    4.11.08
    5.0.1 (Jailbroken with Sn0wbreeze)

    Trying to jailbreak with Redsn0w.

    I have Lion operating system on my mac.
    I tried to clean up the hosts file, but the strange thing is that I don't find the "gs.apple.com" strings.

    Nothing works. I'm getting The device isn't eligible for the requested build.
     
  7. Apple951 macrumors newbie

    Apple951

    Joined:
    Nov 3, 2011
    Location:
    Minnesota
    #7
    If you don't have the AP ticket + SHSH blobs you can't restore to 5.0.1. Only 5.1
     
  8. kevindosi macrumors regular

    Joined:
    Mar 16, 2006
    #8
    My 4s is currently on 5.0.1 and jailbroken, but I'm having some crazy battery issues and want to try restoring it to 5.0.1. Can I do that, or would I only be able to restore to 5.1?
     
  9. dhlizard macrumors G4

    dhlizard

    Joined:
    Mar 16, 2009
    Location:
    The Jailbreak Community
    #9
    You cannot restore a 4S to anything but current firmware (5.1)

    ----------

    You can restore your iPhone4 to 5.0.1 if you have both the hash and APTicket saved for 5.0.1.
    Here is some additional info
    You can also use Redsn0w to query Cydia server for 5.0.1 hash and APTicket file
    Extras-SHSH-Query.
     
  10. LaynieGorilla macrumors 6502

    Joined:
    Jan 1, 2011
    Location:
    PA
    #10
    Question:

    Don't you have to restore your jailbroken iphone 4 to 5.0.1 BEFORE upgrading to 5.1 to ? If you don't have the shsh blobs, does that mean you can never restore? And if you do will your phone get bricked?

    Whats an AP ticket?

    Curious.
     
  11. BlueRaider macrumors regular

    Joined:
    Mar 2, 2012
    #11
    Basically did you jailbreak on 5.0.1 at a time when Apple was still signing 5.0.1 (prior to the 5.1 release in March) and did you backup your SHSH blobs with TinyUmbrella/Redsn0w/iFaith while 5.0.1 was still being signed by Apple?
     
  12. faberzinho macrumors newbie

    Joined:
    Aug 11, 2007
    #12
    let me see if I got you right, since apple is not signing the 5.0.1 file i won't be able to restore it on my ipad and iphone? that means i need to move forward to 5.1, i guess it's getting harder to jb the ios! :((
     
  13. dhlizard macrumors G4

    dhlizard

    Joined:
    Mar 16, 2009
    Location:
    The Jailbreak Community
    #13
    No, all iDevices can be restored to current firmware (3GS and newer)

    ----------

    For the rest of you...

    Hashes have been required to restore to older firmware for a longtime now.
    With the introduction of iOS5, the APTicket is also required, and the hash and APTicket must be stitched to the IPSW or you will get an error. (This works on 3GS, iPhone4, iPad1 and iPods and on iPad2 for iOS4 only)

    If your iDevice is currently on iOS5 and you wish to restore it to the same firmware (such as 5.0.1) use a tool called iFaith to capture your hash and APTicket from the firmware on the device. (This works on 3GS, iPhone4, iPad1 and iPods)
     

Share This Page